#include <stdio.h>
#include <stdlib.h>
#include "cdecl.h"

int main(int argc, char **argv)
{
	struct cdecl *decl;

	if (argc < 2) {
		fprintf(stderr, "usage: cdecl99 decl\n");
		return EXIT_FAILURE;
	}

	decl = cdecl_parse_decl(argv[1]);
	if (!decl) {
		return EXIT_FAILURE;
	}

	cdecl_free(decl);
	return 0;
}
